Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003119 [JEDI VCL] 00 JVCL Components minor always 2005-07-27 17:11 2007-01-04 03:29
Reporter alghor View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status closed   Product Version 3.00
Summary 0003119: TJvDBFindEdit
Description is :
procedure TJvDBFindEdit.FTimerTimer(Sender: TObject);
...
...
   else
         FDataLink.DataSet.Filtered := False;

should be:
...
     else
       begin
         FDataLink.DataSet.Filtered := False;
         FDataLink.DataSet.Filtered := True;
       end;

so I think :)
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007637)
obones (administrator)
2005-07-28 00:41

Why?
(0007645)
anonymous (viewer)
2005-07-28 06:19

1.
  Now is: FDataLink.DataSet.Filtered := true; ( sorry :) )
2.
  If you type ex. 5 letter and try after few seconds add next 5 letter
  filter would not filter anymore.
  If I add this:
     begin
         FDataLink.DataSet.Filtered := False;
         FDataLink.DataSet.Filtered := True;
     end;
  component is workig good.
  ( ex.
      Name:TJvDBFindEdit;
    if I type in this commponent 'Rob' the dataset is filtered
    and show data beginning 'Rob'
    next I type 'ert' ( whole word is 'Robert' )
    dataset is filtered like 'Rob' )
(0008799)
obones (administrator)
2006-03-31 06:47

Do you still see this with the latest sources?
I don't.
(0009662)
obones (administrator)
2006-06-27 03:40

Well, without any response, I'm assuming this is fixed in the latest development version. Should it not be the case, please provide a sample application and/or a diff file against the latest SVN content:

http://homepages.borland.com/jedi/wiki/index.php?title=Repository [^]
(0009667)
alghor (reporter)
2006-06-27 04:46

sorry, but in latest source doesn't work...
if I add
...
   begin
      FDataLink.DataSet.Filtered := False;
      FDataLink.DataSet.Filtered := True;
   end;
...

then work properly
(0009726)
obones (administrator)
2006-06-29 07:02

Well, maybe, but without a sample application, I cannot help you.
I'm not even sure this is the proper place to do this.
(0009733)
alghor (reporter)
2006-06-30 00:36

ok. In this or next week I send sample application.
(0010312)
obones (administrator)
2006-10-06 03:53

Hello?
(0010319)
alghor (reporter)
2006-10-06 05:51

sorry I have forgot..
(0010517)
obones (administrator)
2007-01-04 03:29

Well, no news, I'm closing this, please create a new issue if this is still here.

- Issue History
Date Modified Username Field Change
2005-07-27 17:11 alghor New Issue
2005-07-28 00:41 obones Note Added: 0007637
2005-07-28 00:41 obones Status new => feedback
2005-07-28 06:19 anonymous Note Added: 0007645
2005-07-28 16:37 alghor Issue Monitored: alghor
2006-03-31 06:47 obones Note Added: 0008799
2006-06-27 03:40 obones Status feedback => resolved
2006-06-27 03:40 obones Fixed in Version => Daily / SVN
2006-06-27 03:40 obones Resolution open => fixed
2006-06-27 03:40 obones Assigned To => obones
2006-06-27 03:40 obones Note Added: 0009662
2006-06-27 04:46 alghor Status resolved => feedback
2006-06-27 04:46 alghor Resolution fixed => reopened
2006-06-27 04:46 alghor Note Added: 0009667
2006-06-29 07:02 obones Note Added: 0009726
2006-06-30 00:36 alghor Note Added: 0009733
2006-10-06 03:53 obones Note Added: 0010312
2006-10-06 05:51 alghor Note Added: 0010319
2007-01-04 03:29 obones Status feedback => closed
2007-01-04 03:29 obones Note Added: 0010517
2007-01-04 03:29 obones Resolution reopened => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker